---
title: "Create a Role"
slug: "create-a-role"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:36:53Z
published: 2026-09-23T09:36:53Z
canonical: "docs.trellix.com/create-a-role"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create a Role
Creates a new role.
## Resource URL
POST /role
## Request Parameters
Payload Request Parameters:
| Field Name | Description | Data Type |
| --- | --- | --- |
| roleName | Name of the role as displayed in the Manager | String |
| description | The description of the role that is given while creating the role | String |
| privileges | List of the privileges that the role has. It can have following values like: - Manage Manager - View only - NTBA policy - Edit - Deploy changes - IPS etc. Other available privileges as visible in the Manager based on the types of devices added in the Manager | Array |
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| createdResourceId | User id of the new role | Number |
## Example
**Request**
PUT [https:///sdkapi/role](https://%3CNSM_IP%3E/sdkapi/role)
**Payload**
```
{
"roleName": "TEST1",
"description": "Full rights to the Network Security Manager",
"privileges":
[
"Alerts - View Packet Logs",
"Analysis",
"Configuration Reports - IPS - Create",
"Configuration Reports - IPS - Run Only",
"Dashboard",
"Deploy Changes - IPS",
"ePO Dashboard Data Retrieval",
"Event Reports - IPS - Create",
"Event Reports - IPS - Run Only",
"IPS Policy - Edit",
"IPS Policy - View Only",
"Manage IPS - Edit",
"Manage IPS - View Only",
"Manage Manager - Edit",
"Manage Manager - View Only",
"Run Vulnerability Scan",
"System - Edit",
"System - View Only",
"TA Alert Assignment Supervisor",
"TA Alerts - Manage",
"TA Alerts - View Only",
"TA Dashboards - General Monitors - Create",
"TA Dashboards - General Monitors - View Only",
"TA Dashboards - IPS Monitors - Create",
"TA Dashboards - IPS Monitors - View Only",
"TA Edit IPS Policy",
"TA Endpoints - Manage",
"TA Endpoints - View Only",
"TA Retrieve ePO Data",
"Users and Roles - Edit",
"Users and Roles - View Only"
]
}
```
**Response**
```
{
"createdResourceId": 103
}
```
## Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 400 | 9508 | Input privileges are not available for assignment |
| 2 | 400 | 9505 | At least one role privilege is required |
| 3 | 400 | 9506 | Role name is a required field |
| 4 | 400 | 9507 | Role description is a required field |